

#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float u_brightness;

void main()
{
    float Contrast = 1.0;  //u_contrast;        //2.0;
    float brightness = u_brightness;            //1.0;
    
    vec4 pixelColor = texture2D(CC_Texture0, v_texCoord);
    pixelColor.rgb /= pixelColor.a;
    pixelColor.rgb = ((pixelColor.rgb - 0.5) * max(Contrast, 0.0)) + 0.5;
    pixelColor.rgb += brightness;
    pixelColor.rgb *= pixelColor.a;
    
    gl_FragColor = pixelColor;
    
}
